import Vue from "vue";
import Router from "vue-router";

import Home from "./views/Home";
import NotFound from "./views/404";
import login from "./modules/login/router";
// import account from "./modules/account/router";
// modules
import admin from "./modules/admin/router";
import subject from "./modules/subject/router";
import com from "./modules/com/router";

Vue.use(Router);

export const roleRouters = {
  ADMIN: admin,
  SUBJECT: subject
};

export default new Router({
  routes: [
    {
      path: "/",
      name: "Index",
      redirect: { name: "Login" }
    },
    {
      path: "/home",
      name: "Home",
      component: Home,
      children: [...admin, ...subject]
    },
    ...login,
    ...com,
    {
      path: "*",
      name: "404",
      component: NotFound
    }
    // [lazy-loaded] route level code-splitting
    // {
    //   path: "/about",
    //   name: "about",
    //   // this generates a separate chunk (about.[hash].js) for this route
    //   // which is lazy-loaded when the route is visited.
    //   component: () =>
    //     import(/* webpackChunkName: "about" */ "./views/About.vue")
    // }
  ]
});
